import pytest

from castellum_pseudonyms import clean, generate


@pytest.mark.unittest
def test_clean_generated():
    clean(generate())


@pytest.mark.unittest
def test_clean_invalid_checksum():
    with pytest.raises(ValueError) as excinfo:
        clean('foo')
    assert 'invalid characters' not in str(excinfo.value)


@pytest.mark.unittest
def test_clean_invalid_chars():
    with pytest.raises(ValueError) as excinfo:
        clean('ABC!')
    assert 'invalid characters' in str(excinfo.value)


@pytest.mark.unittest
def test_check_denormalized():
    assert clean('vg83END03T') == 'VG83END03T'
    assert clean('VG83ENDO3T') == 'VG83END03T'
